#***********************************************************************
#*                                                                     *
#*  VisualAge for C++ for Windows, Version 3.5                         *
#*    Licensed Material - Property of IBM                              *
#*                                                                     *
#*  5801-ARR and Other Materials                                       *
#*                                                                     *
#*  (c) Copyright IBM Corp 1996. All rights reserved.                  *
#*                                                                     *
#***********************************************************************


#############
LC_CTYPE
#############

upper     <A>;...;<Z>;\
        <cyr-IO>;\
        <ukrainian-IE>;\
        <ukrainian-YI>;\
        <byelorussian-SHORTU>;\
        <cyr-A>;\
        <cyr-BE>;\
        <cyr-VE>;\
        <cyr-GHE>;\
        <cyr-DE>;\
        <cyr-IE>;\
        <cyr-ZHE>;\
        <cyr-ZE>;\
        <cyr-I>;\
        <cyr-SHORTI>;\
        <cyr-KA>;\
        <cyr-EL>;\
        <cyr-EM>;\
        <cyr-EN>;\
        <cyr-O>;\
        <cyr-PE>;\
        <cyr-ER>;\
        <cyr-ES>;\
        <cyr-TE>;\
        <cyr-U>;\
        <cyr-EF>;\
        <cyr-HA>;\
        <cyr-TSE>;\
        <cyr-CHE>;\
        <cyr-SHA>;\
        <cyr-SHCHA>;\
        <HARDSIGN>;\
        <cyr-YERU>;\
        <SOFTSIGN>;\
        <cyr-E>;\
        <cyr-YU>;\
        <cyr-YA>;\
        <D-Special-Capital>;\
        <G-Special-Capital>;\
        <LJ-Capital>;\
        <NJ-Capital>;\
        <K-Special-Capital>;\
        <C-Special-Capital>;\
        <DZ-Special-Capital>;\
        <Cyr-J-Capital>;\
        <CYRILLIC-CAPITAL-GHE-UPTURN>;\
        <I-Special-Capital>;\
        <S-Special-Capital>

lower   <a>;...;<z>;\
        <cyr-io>;\
        <ukrainian-ie>;\
        <ukrainian-yi>;\
        <byelorussian-shortu>;\
        <cyr-a>;\
        <cyr-be>;\
        <cyr-ve>;\
        <cyr-ghe>;\
        <cyr-de>;\
        <cyr-ie>;\
        <cyr-zhe>;\
        <cyr-ze>;\
        <cyr-i>;\
        <cyr-shorti>;\
        <cyr-ka>;\
        <cyr-el>;\
        <cyr-em>;\
        <cyr-en>;\
        <cyr-o>;\
        <cyr-pe>;\
        <cyr-er>;\
        <cyr-es>;\
        <cyr-te>;\
        <cyr-u>;\
        <cyr-ef>;\
        <cyr-ha>;\
        <cyr-tse>;\
        <cyr-che>;\
        <cyr-sha>;\
        <cyr-shcha>;\
        <hardsign>;\
        <cyr-yeru>;\
        <softsign>;\
        <cyr-e>;\
        <cyr-yu>;\
        <cyr-ya>;\
        <g-Special-Small>;\
        <d-Special-Small>;\
        <lj-Small>;\
        <nj-Small>;\
        <k-Special-Small>;\
        <c-Special-Small>;\
        <dz-Special-Small>;\
        <i-Special-Small>;\
        <CYRILLIC-SMALL-GHE-UPTURN>;\
        <Cyr-j-Small>;\
        <s-Special-Small>

space     <tab>;\
          <newline>;\
          <vertical-tab>;\
          <form-feed>;\
          <carriage-return>;\
          <space>

cntrl     <NUL>;...;<IS1>;\
          <DEL>;\
          <HTS>;\
          <SOS>

graph     <exclamation-mark>;...;<tilde>;\
          <D-Special-Capital>;\
          <G-Special-Capital>;\
          <Left-Lower-Single-Quote>;\
          <g-Special-Small>;\
          <Left-Lower-Double-Quotes>;\
          <Ellipsis>;\
          <Dagger>;\
          <Double-Dagger>;\
          <Permille-Symbol>;\
          <LJ-Capital>;\
          <Left-Angle-Single-Quote>;\
          <NJ-Capital>;\
          <K-Special-Capital>;\
          <C-Special-Capital>;\
          <DZ-Special-Capital>;\
          <d-Special-Small>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <Bullet>;\
          <En-Dash>;\
          <Em-Dash>;\
          <Trademark-Symbol,-Serif>;\
          <lj-Small>;\
          <Right-Angle-Single-Quote>;\
          <nj-Small>;\
          <k-Special-Small>;\
          <c-Special-Small>;\
          <dz-Special-Small>;\
          <Cyr-J-Capital>;\
          <CYRILLIC-CAPITAL-GHE-UPTURN>;\
          <Vertical-Line,-Broken>;\
          <Section-Symbol-(USA)>;\
          <Copyright-Symbol>;\
          <Left-Angle-Quotes>;\
          <Logical-NOT>;\
          <Syllable-Hyphen>;\
          <Registered-Trademark-Symbol>;\
          <Plus-or-Minus-Sign>;\
          <I-Special-Capital>;\
          <i-Special-Small>;\
          <CYRILLIC-SMALL-GHE-UPTURN>;\
          <Micro-Symbol>;\
          <Paragraph-Symbol-(USA)>;\
          <Right-Angle-Quotes>;\
          <Cyr-j-Small>;\
          <S-Special-Capital>;\
          <s-Special-Small>;\
          <cyr-A>;...;<nobreakspace>

print     <space>;...;<tilde>;\
          <D-Special-Capital>;\
          <G-Special-Capital>;\
          <Left-Lower-Single-Quote>;\
          <g-Special-Small>;\
          <Left-Lower-Double-Quotes>;\
          <Ellipsis>;\
          <Dagger>;\
          <Double-Dagger>;\
          <Permille-Symbol>;\
          <LJ-Capital>;\
          <Left-Angle-Single-Quote>;\
          <NJ-Capital>;\
          <K-Special-Capital>;\
          <C-Special-Capital>;\
          <DZ-Special-Capital>;\
          <d-Special-Small>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <Bullet>;\
          <En-Dash>;\
          <Em-Dash>;\
          <Trademark-Symbol,-Serif>;\
          <lj-Small>;\
          <Right-Angle-Single-Quote>;\
          <nj-Small>;\
          <k-Special-Small>;\
          <c-Special-Small>;\
          <dz-Special-Small>;\
          <Cyr-J-Capital>;\
          <CYRILLIC-CAPITAL-GHE-UPTURN>;\
          <Vertical-Line,-Broken>;\
          <Section-Symbol-(USA)>;\
          <Copyright-Symbol>;\
          <Left-Angle-Quotes>;\
          <Logical-NOT>;\
          <Syllable-Hyphen>;\
          <Registered-Trademark-Symbol>;\
          <Plus-or-Minus-Sign>;\
          <I-Special-Capital>;\
          <i-Special-Small>;\
          <CYRILLIC-SMALL-GHE-UPTURN>;\
          <Micro-Symbol>;\
          <Paragraph-Symbol-(USA)>;\
          <Right-Angle-Quotes>;\
          <Cyr-j-Small>;\
          <S-Special-Capital>;\
          <s-Special-Small>;\
          <cyr-A>;...;<nobreakspace>

punct     <exclamation-mark>;...;<slash>;\
          <colon>;...;<commercial-at>;\
          <left-square-bracket>;...;<grave-accent>;\
          <left-brace>;...;<tilde>;\
          <Left-Lower-Single-Quote>;\
          <Left-Lower-Double-Quotes>;\
          <Left-Angle-Single-Quote>;\
          <Left-Single-Quote>;\
          <Right-Single-Quote>;\
          <Left-Double-Quotes>;\
          <Right-Double-Quotes>;\
          <Right-Angle-Single-Quote>;\
          <Left-Angle-Quotes>;\
          <Right-Angle-Quotes>

digit     <zero>;...;<nine>

xdigit    <zero>;...;<nine>;\
          <A>;...;<F>;\
          <a>;...;<f>

blank     <space>;\
          <tab>

toupper (<a>,<A>);(<b>,<B>);(<c>,<C>);(<d>,<D>);(<e>,<E>);\
        (<f>,<F>);(<g>,<G>);(<h>,<H>);(<i>,<I>);(<j>,<J>);\
        (<k>,<K>);(<l>,<L>);(<m>,<M>);(<n>,<N>);(<o>,<O>);\
        (<p>,<P>);(<q>,<Q>);(<r>,<R>);(<s>,<S>);(<t>,<T>);\
        (<u>,<U>);(<v>,<V>);(<w>,<W>);(<x>,<X>);(<y>,<Y>);\
        (<z>,<Z>);\
        (<cyr-a>,<cyr-A>);\
        (<cyr-be>,<cyr-BE>);\
        (<cyr-ve>,<cyr-VE>);\
        (<cyr-ghe>,<cyr-GHE>);\
        (<cyr-de>,<cyr-DE>);\
        (<cyr-ie>,<cyr-IE>);\
        (<cyr-zhe>,<cyr-ZHE>);\
        (<cyr-ze>,<cyr-ZE>);\
        (<cyr-i>,<cyr-I>);\
        (<cyr-shorti>,<cyr-SHORTI>);\
        (<cyr-ka>,<cyr-KA>);\
        (<cyr-el>,<cyr-EL>);\
        (<cyr-em>,<cyr-EM>);\
        (<cyr-en>,<cyr-EN>);\
        (<cyr-o>,<cyr-O>);\
        (<cyr-pe>,<cyr-PE>);\
        (<cyr-er>,<cyr-ER>);\
        (<cyr-es>,<cyr-ES>);\
        (<cyr-te>,<cyr-TE>);\
        (<cyr-u>,<cyr-U>);\
        (<cyr-ef>,<cyr-EF>);\
        (<cyr-ha>,<cyr-HA>);\
        (<cyr-tse>,<cyr-TSE>);\
        (<cyr-che>,<cyr-CHE>);\
        (<cyr-sha>,<cyr-SHA>);\
        (<cyr-shcha>,<cyr-SHCHA>);\
        (<hardsign>,<HARDSIGN>);\
        (<cyr-yeru>,<cyr-YERU>);\
        (<softsign>,<SOFTSIGN>);\
        (<cyr-e>,<cyr-E>);\
        (<cyr-yu>,<cyr-YU>);\
        (<cyr-ya>,<cyr-YA>);\
        (<d-Special-Small>,<D-Special-Capital>);\
        (<g-Special-Small>,<G-Special-Capital>);\
        (<lj-Small>,<LJ-Capital>);\
        (<nj-Small>,<NJ-Capital>);\
        (<k-Special-Small>,<K-Special-Capital>);\
        (<c-Special-Small>,<C-Special-Capital>);\
        (<dz-Special-Small>,<DZ-Special-Capital>);\
        (<Cyr-j-Small>,<Cyr-J-Capital>);\
        (<CYRILLIC-SMALL-GHE-UPTURN>,<CYRILLIC-CAPITAL-GHE-UPTURN>);\
        (<i-Special-Small>,<I-Special-Capital>);\
        (<s-Special-Small>,<S-Special-Capital>)

END LC_CTYPE

#############
LC_COLLATE
#############

order_start                   forward;forward;forward

<NUL>
<SOH>
<STX>
<ETX>
<EOT>
<ENQ>
<ACK>
<alert>
<backspace>
<tab>
<newline>
<vertical-tab>
<form-feed>
<carriage-return>
<SO>
<SI>
<DLE>
<DC1>
<DC2>
<DC3>
<DC4>
<NAK>
<SYN>
<ETB>
<CAN>
<EM>
<SUB>
<ESC>
<IS4>
<IS3>
<IS2>
<IS1>
<DEL>
<HTS>
<SOS>
<space>                 <space>;<space>;<space>
<exclamation-mark>      <exclamation-mark>;<exclamation-mark>;<exclamation-mark>
<quotation-mark>        <quotation-mark>;<quotation-mark>;<quotation-mark>
<number-sign>           <number-sign>;<number-sign>;<number-sign>
<dollar-sign>           <dollar-sign>;<dollar-sign>;<dollar-sign>
<percent-sign>          <percent-sign>;<percent-sign>;<percent-sign>
<ampersand>             <ampersand>;<ampersand>;<ampersand>
<apostrophe>            <apostrophe>;<apostrophe>;<apostrophe>
<left-parenthesis>      <left-parenthesis>;<left-parenthesis>;<left-parenthesis>
<right-parenthesis>     <right-parenthesis>;<right-parenthesis>;<right-parenthesis>
<asterisk>              <asterisk>;<asterisk>;<asterisk>
<plus-sign>             <plus-sign>;<plus-sign>;<plus-sign>
<comma>                 <comma>;<comma>;<comma>
<hyphen>                <hyphen>;<hyphen>;<hyphen>
<period>                <period>;<period>;<period>
<slash>                 <slash>;<slash>;<slash>
<colon>                 <colon>;<colon>;<colon>
<semicolon>             <semicolon>;<semicolon>;<semicolon>
<less-than-sign>        <less-than-sign>;<less-than-sign>;<less-than-sign>
<equals-sign>           <equals-sign>;<equals-sign>;<equals-sign>
<greater-than-sign>     <greater-than-sign>;<greater-than-sign>;<greater-than-sign>
<question-mark>         <question-mark>;<question-mark>;<question-mark>
<commercial-at>         <commercial-at>;<commercial-at>;<commercial-at>
<left-square-bracket>   <left-square-bracket>;<left-square-bracket>;<left-square-bracket>
<backslash>             <backslash>;<backslash>;<backslash>
<right-square-bracket>  <right-square-bracket>;<right-square-bracket>;<right-square-bracket>
<circumflex-accent>     <circumflex-accent>;<circumflex-accent>;<circumflex-accent>
<underscore>            <underscore>;<underscore>;<underscore>
<grave-accent>          <grave-accent>;<grave-accent>;<grave-accent>
<left-brace>            <left-brace>;<left-brace>;<left-brace>
<vertical-line>         <vertical-line>;<vertical-line>;<vertical-line>
<right-brace>           <right-brace>;<right-brace>;<right-brace>
<tilde>                 <tilde>;<tilde>;<tilde>
<Left-Lower-Single-Quote>
<Left-Lower-Double-Quotes>
<Ellipsis>
<Dagger>
<Double-Dagger>
<Permille-Symbol>
<Left-Angle-Single-Quote>
<Left-Single-Quote>
<Right-Single-Quote>
<Left-Double-Quotes>
<Right-Double-Quotes>
<Bullet>
<En-Dash>
<Em-Dash>
<Trademark-Symbol,-Serif>
<Right-Angle-Single-Quote>
<CYRILLIC-CAPITAL-GHE-UPTURN>
<Vertical-Line,-Broken>
<Section-Symbol-(USA)>
<Copyright-Symbol>
<Left-Angle-Quotes>
<Logical-NOT>
<Syllable-Hyphen>
<Registered-Trademark-Symbol>
<Plus-or-Minus-Sign>
<CYRILLIC-SMALL-GHE-UPTURN>
<Micro-Symbol>
<Paragraph-Symbol-(USA)>
<Right-Angle-Quotes>
<numero-sign>           <numero-sign>;<numero-sign>;<numero-sign>
<nobreakspace>          <nobreakspace>;<nobreakspace>;<nobreakspace>
<degree>
<dot>
<currency>
<zero>                  <zero>;<zero>;<zero>
<one>                   <one>;<one>;<one>
<two>                   <two>;<two>;<two>
<three>                 <three>;<three>;<three>
<four>                  <four>;<four>;<four>
<five>                  <five>;<five>;<five>
<six>                   <six>;<six>;<six>
<seven>                 <seven>;<seven>;<seven>
<eight>                 <eight>;<eight>;<eight>
<nine>                  <nine>;<nine>;<nine>
<a>                     <a>;<a>;<a>
<A>                     <a>;<a>;<A>
<b>                     <b>;<b>;<b>
<B>                     <b>;<b>;<B>
<c>                     <c>;<c>;<c>
<C>                     <c>;<c>;<C>
<d>                     <d>;<d>;<d>
<D>                     <d>;<d>;<D>
<e>                     <e>;<e>;<e>
<E>                     <e>;<e>;<E>
<f>                     <f>;<f>;<f>
<F>                     <f>;<f>;<F>
<g>                     <g>;<g>;<g>
<G>                     <g>;<g>;<G>
<h>                     <h>;<h>;<h>
<H>                     <h>;<h>;<H>
<i>                     <i>;<i>;<i>
<I>                     <i>;<i>;<I>
<j>                     <j>;<j>;<j>
<J>                     <j>;<j>;<J>
<k>                     <k>;<k>;<k>
<K>                     <k>;<k>;<K>
<l>                     <l>;<l>;<l>
<L>                     <l>;<l>;<L>
<m>                     <m>;<m>;<m>
<M>                     <m>;<m>;<M>
<n>                     <n>;<n>;<n>
<N>                     <n>;<n>;<N>
<o>                     <o>;<o>;<o>
<O>                     <o>;<o>;<O>
<p>                     <p>;<p>;<p>
<P>                     <p>;<p>;<P>
<q>                     <q>;<q>;<q>
<Q>                     <q>;<q>;<Q>
<r>                     <r>;<r>;<r>
<R>                     <r>;<r>;<R>
<s>                     <s>;<s>;<s>
<S>                     <s>;<s>;<S>
<t>                     <t>;<t>;<t>
<T>                     <t>;<t>;<T>
<u>                     <u>;<u>;<u>
<U>                     <u>;<u>;<U>
<v>                     <v>;<v>;<v>
<V>                     <v>;<v>;<V>
<w>                     <w>;<w>;<w>
<W>                     <w>;<w>;<W>
<x>                     <x>;<x>;<x>
<X>                     <x>;<x>;<X>
<y>                     <y>;<y>;<y>
<Y>                     <y>;<y>;<Y>
<z>                     <z>;<z>;<z>
<Z>                     <z>;<z>;<Z>
<cyr-a>                 <cyr-a>;<cyr-a>;<cyr-a>
<cyr-A>                 <cyr-a>;<cyr-a>;<cyr-A>
<cyr-be>                <cyr-be>;<cyr-be>;<cyr-be>
<cyr-BE>                <cyr-be>;<cyr-be>;<cyr-BE>
<cyr-ve>                <cyr-ve>;<cyr-ve>;<cyr-ve>
<cyr-VE>                <cyr-ve>;<cyr-ve>;<cyr-VE>
<cyr-ghe>               <cyr-ghe>;<cyr-ghe>;<cyr-ghe>
<cyr-GHE>               <cyr-ghe>;<cyr-ghe>;<cyr-GHE>
<cyr-de>                <cyr-de>;<cyr-de>;<cyr-de>
<cyr-DE>                <cyr-de>;<cyr-de>;<cyr-DE>
<g-Special-Small>
<G-Special-Capital>
<d-Special-Small>
<D-Special-Capital>
<cyr-ie>                <cyr-ie>;<cyr-ie>;<cyr-ie>
<cyr-IE>                <cyr-ie>;<cyr-ie>;<cyr-IE>
<ukrainian-ie>          <ukrainian-ie>;<ukrainian-ie>;<ukrainian-ie>
<ukrainian-IE>          <ukrainian-ie>;<ukrainian-ie>;<ukrainian-IE>
<cyr-io>                <cyr-io>;<cyr-io>;<cyr-io>
<cyr-IO>                <cyr-io>;<cyr-io>;<cyr-IO>
<cyr-zhe>               <cyr-zhe>;<cyr-zhe>;<cyr-zhe>
<cyr-ZHE>               <cyr-zhe>;<cyr-zhe>;<cyr-ZHE>
<cyr-ze>                <cyr-ze>;<cyr-ze>;<cyr-ze>
<cyr-ZE>                <cyr-ze>;<cyr-ze>;<cyr-ZE>
<s-Special-Small>
<S-Special-Capital>
<cyr-i>                 <cyr-i>;<cyr-i>;<cyr-i>
<cyr-I>                 <cyr-i>;<cyr-i>;<cyr-I>
<i-Special-Small>
<I-Special-Capital>
<ukrainian-yi>          <ukrainian-yi>;<ukrainian-yi>;<ukrainian-yi>
<ukrainian-YI>          <ukrainian-yi>;<ukrainian-yi>;<ukrainian-YI>
<cyr-shorti>            <cyr-shorti>;<cyr-shorti>;<cyr-shorti>
<cyr-SHORTI>            <cyr-shorti>;<cyr-shorti>;<cyr-SHORTI>
<Cyr-j-Small>
<Cyr-J-Capital>
<cyr-ka>                <cyr-ka>;<cyr-ka>;<cyr-ka>
<cyr-KA>                <cyr-ka>;<cyr-ka>;<cyr-KA>
<cyr-el>                <cyr-el>;<cyr-el>;<cyr-el>
<cyr-EL>                <cyr-el>;<cyr-el>;<cyr-EL>
<lj-Small>
<LJ-Capital>
<cyr-em>                <cyr-em>;<cyr-em>;<cyr-em>
<cyr-EM>                <cyr-em>;<cyr-em>;<cyr-EM>
<cyr-en>                <cyr-en>;<cyr-en>;<cyr-en>
<cyr-EN>                <cyr-en>;<cyr-en>;<cyr-EN>
<nj-Small>
<NJ-Capital>
<cyr-o>                 <cyr-o>;<cyr-o>;<cyr-o>
<cyr-O>                 <cyr-o>;<cyr-o>;<cyr-O>
<cyr-pe>                <cyr-pe>;<cyr-pe>;<cyr-pe>
<cyr-PE>                <cyr-pe>;<cyr-pe>;<cyr-PE>
<cyr-er>                <cyr-er>;<cyr-er>;<cyr-er>
<cyr-ER>                <cyr-er>;<cyr-er>;<cyr-ER>
<cyr-es>                <cyr-es>;<cyr-es>;<cyr-es>
<cyr-ES>                <cyr-es>;<cyr-es>;<cyr-ES>
<cyr-te>                <cyr-te>;<cyr-te>;<cyr-te>
<cyr-TE>                <cyr-te>;<cyr-te>;<cyr-TE>
<k-Special-Small>
<K-Special-Capital>
<c-Special-Small>
<C-Special-Capital>
<cyr-u>                 <cyr-u>;<cyr-u>;<cyr-u>
<cyr-U>                 <cyr-u>;<cyr-u>;<cyr-U>
<byelorussian-shortu>   <byelorussian-shortu>;<byelorussian-shortu>;<byelorussian-shortu>
<byelorussian-SHORTU>   <byelorussian-shortu>;<byelorussian-shortu>;<byelorussian-SHORTU>
<cyr-ef>                <cyr-ef>;<cyr-ef>;<cyr-ef>
<cyr-EF>                <cyr-ef>;<cyr-ef>;<cyr-EF>
<cyr-ha>                <cyr-ha>;<cyr-ha>;<cyr-ha>
<cyr-HA>                <cyr-ha>;<cyr-ha>;<cyr-HA>
<cyr-tse>               <cyr-tse>;<cyr-tse>;<cyr-tse>
<cyr-TSE>               <cyr-tse>;<cyr-tse>;<cyr-TSE>
<cyr-che>               <cyr-che>;<cyr-che>;<cyr-che>
<cyr-CHE>               <cyr-che>;<cyr-che>;<cyr-CHE>
<dz-Special-Small>
<DZ-Special-Capital>
<cyr-sha>               <cyr-sha>;<cyr-sha>;<cyr-sha>
<cyr-SHA>               <cyr-sha>;<cyr-sha>;<cyr-SHA>
<cyr-shcha>             <cyr-shcha>;<cyr-shcha>;<cyr-shcha>
<cyr-SHCHA>             <cyr-shcha>;<cyr-shcha>;<cyr-SHCHA>
<hardsign>              <hardsign>;<hardsign>;<hardsign>
<HARDSIGN>              <hardsign>;<hardsign>;<HARDSIGN>
<cyr-yeru>              <cyr-yeru>;<cyr-yeru>;<cyr-yeru>
<cyr-YERU>              <cyr-yeru>;<cyr-yeru>;<cyr-YERU>
<softsign>              <softsign>;<softsign>;<softsign>
<SOFTSIGN>              <softsign>;<softsign>;<SOFTSIGN>
<cyr-e>                 <cyr-e>;<cyr-e>;<cyr-e>
<cyr-E>                 <cyr-e>;<cyr-e>;<cyr-E>
<cyr-yu>                <cyr-yu>;<cyr-yu>;<cyr-yu>
<cyr-YU>                <cyr-yu>;<cyr-yu>;<cyr-YU>
<cyr-ya>                <cyr-ya>;<cyr-ya>;<cyr-ya>
<cyr-YA>                <cyr-ya>;<cyr-ya>;<cyr-YA>

order_end

END LC_COLLATE

#############
LC_MONETARY
#############

int_curr_symbol   "<cyr-er><cyr-u><cyr-be><space>"
currency_symbol   "<cyr-er><cyr-u><cyr-be><period>"
mon_decimal_point "<period>"
mon_thousands_sep "<comma>"
mon_grouping      "3;0"
positive_sign     "<plus-sign>"
negative_sign     "<hyphen>"
int_frac_digits   2
frac_digits       2
p_cs_precedes     0
p_sep_by_space    1
n_cs_precedes     0
n_sep_by_space    1
p_sign_posn       1
n_sign_posn       1

END LC_MONETARY


#############
LC_NUMERIC
#############

decimal_point     "<comma>"
thousands_sep     "<period>"
grouping          "3;0"

END LC_NUMERIC


#############
LC_TIME
#############
abday   "<cyr-ve><cyr-o><cyr-es><period>";\
        "<cyr-pe><cyr-o><cyr-en><period>";\
        "<cyr-ve><cyr-te><cyr-o><period>";\
        "<cyr-es><cyr-er><cyr-ie><period>";\
        "<cyr-che><cyr-ie><cyr-te><period>";\
        "<cyr-pe><cyr-ie><cyr-te><period>";\
        "<cyr-es><cyr-u><cyr-be><period>"

day     "<cyr-ve><cyr-o><cyr-es><cyr-ka><cyr-er><cyr-ie><cyr-es><cyr-ie><cyr-en><softsign><cyr-ie>";\
        "<cyr-pe><cyr-o><cyr-en><cyr-ie><cyr-de><cyr-ie><cyr-el><softsign><cyr-en><cyr-i><cyr-ka>";\
        "<cyr-ve><cyr-te><cyr-o><cyr-er><cyr-en><cyr-i><cyr-ka>";\
        "<cyr-es><cyr-er><cyr-ie><cyr-de><cyr-a>";\
        "<cyr-che><cyr-ie><cyr-te><cyr-ve><cyr-ie><cyr-er><cyr-ghe>";\
        "<cyr-pe><cyr-ya><cyr-te><cyr-en><cyr-i><cyr-tse><cyr-a>";\
        "<cyr-es><cyr-u><cyr-be><cyr-be><cyr-o><cyr-te><cyr-a>"

abmon   "<cyr-ya><cyr-en><cyr-ve><period>";\
        "<cyr-ef><cyr-ie><cyr-ve><period>";\
        "<cyr-em><cyr-a><cyr-er><period>";\
        "<cyr-a><cyr-pe><cyr-er><period>";\
        "<cyr-em><cyr-a><cyr-ya>";\
        "<cyr-i><cyr-yu><cyr-en><period>";\
        "<cyr-i><cyr-yu><cyr-el><period>";\
        "<cyr-a><cyr-ve><cyr-ghe><period>";\
        "<cyr-es><cyr-ie><cyr-en><period>";\
        "<cyr-o><cyr-ka><cyr-te><period>";\
        "<cyr-en><cyr-o><cyr-ya><period>";\
        "<cyr-de><cyr-ie><cyr-ka><period>"

mon     "<cyr-ya><cyr-en><cyr-ve><cyr-a><cyr-er><cyr-ya>";\
        "<cyr-ef><cyr-ie><cyr-ve><cyr-er><cyr-a><cyr-el><cyr-ya>";\
        "<cyr-em><cyr-a><cyr-er><cyr-te><cyr-a>";\
        "<cyr-a><cyr-pe><cyr-er><cyr-ie><cyr-el><cyr-ya>";\
        "<cyr-em><cyr-a><cyr-ya>";\
        "<cyr-i><cyr-yu><cyr-en><cyr-ya>";\
        "<cyr-i><cyr-yu><cyr-el><cyr-ya>";\
        "<cyr-a><cyr-ve><cyr-ghe><cyr-u><cyr-es><cyr-te><cyr-a>";\
        "<cyr-es><cyr-ie><cyr-en><cyr-te><cyr-ya><cyr-be><cyr-er><cyr-ya>";\
        "<cyr-o><cyr-ka><cyr-te><cyr-ya><cyr-be><cyr-er><cyr-ya>";\
        "<cyr-en><cyr-o><cyr-ya><cyr-be><cyr-er><cyr-ya>";\
        "<cyr-de><cyr-ie><cyr-ka><cyr-a><cyr-be><cyr-er><cyr-ya>"

d_t_fmt "%A %e %B %Y <cyr-ghe><period> %H.%M.%S"

d_fmt   "%d.%m.%y"

t_fmt   "%H.%M.%S"


am_pm   "";""

END LC_TIME


#############
LC_MESSAGES
#############

yesexpr "^([dD]|[dD][aA])"
noexpr  "^([nN]|[nN][eE])"

END LC_MESSAGES


